Unit tqsk2e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FQSK2E_p, QSK2E_p;

function tqsk2e: String;

implementation

function tqsk2e: String;
var
NOFUN :Integer;
A,B,ABSERR,RELERR,RESULT_,ERREST,FLAG :Extended;
begin
Result := '';  {   }
A  := 0.0e0;
B  := 2.0e0;
RELERR  := 1.0e-10;
ABSERR  := 0.0e0;
QSK2E(FQSK2E,A,B,ABSERR,RELERR,RESULT_,ERREST,NOFUN,FLAG);
Result := Result + Format('%s',[' RESULT_=']);
Result := Result + Format('%20.16f ',[RESULT_]);
Result := Result + Format('%s',['  ERR=']);
Result := Result + Format('%20.16f ',[ERREST]);
Result := Result + Format('%s',[' NOFUN=']);
Result := Result + Format('%4d ',[NOFUN]) + #$0D#$0A;
if ( FLAG <> 0.0 ) 
 then begin
       Result := Result + Format('%s',[' FLAG = ']);
       Result := Result + Format('%20.16f ',[FLAG]) + #$0D#$0A;
      end;
UtRes('tqsk2e',Result);  {     tqsk2e.res }
exit;
end;

end.
